# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.appsforyourdomain.audit
Class MailBoxDumpRequest

    java.lang.Object
      com.google.gdata.client.appsforyourdomain.audit.MailBoxDumpRequest

    public class MailBoxDumpRequest

extends java.lang.Object

A simple POJO for a Mailbox dump request.

Constructor Summary
`MailBoxDumpRequest()` Default constructor
`MailBoxDumpRequest(GenericEntry entry)` Parameterized constructor to create a POJO from GenericEntry.

Method Summary
`java.lang.String` `getAdminEmailAddress()`
`java.util.Date` `getBeginDate()`
`java.util.Date` `getCompletedDate()`
`java.util.Date` `getEndDate()`
`java.util.Date` `getExpiredDate()`
`java.lang.String[]` `getFileUrls()`
`int` `getNumberOfFiles()`
`java.lang.String` `getPackageContent()`
`java.util.Date` `getRequestDate()`
`java.lang.String` `getRequestId()`
`java.lang.String` `getSearchQuery()`
`java.lang.String` `getStatus()`
`java.lang.String` `getUserEmailAddress()`
`boolean` `isIncludeDeleted()`
`void` `setAdminEmailAddress(java.lang.String adminEmailAddress)`
`void` `setBeginDate(java.util.Date beginDate)`
`void` `setCompletedDate(java.util.Date completedDate)`
`void` `setEndDate(java.util.Date endDate)`
`void` `setExpiredDate(java.util.Date expiredDate)`
`void` `setFileUrls(java.lang.String[] fileUrls)`
`void` `setIncludeDeleted(boolean includeDeleted)`
`void` `setNumberOfFiles(int numberOfFiles)`
`void` `setPackageContent(java.lang.String packageContent)`
`void` `setRequestDate(java.util.Date requestDate)`
`void` `setRequestId(java.lang.String requestId)`
`void` `setSearchQuery(java.lang.String searchQuery)`
`void` `setStatus(java.lang.String status)`
`void` `setUserEmailAddress(java.lang.String userEmailAddress)`
`GenericEntry` `toGenericEntry()` converts a `MailBoxDumpRequest` to `GenericEntry`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailBoxDumpRequest

    public MailBoxDumpRequest(GenericEntry entry)

  Parameterized constructor to create a POJO from GenericEntry.

  Parameters:
    `entry` - GenericEntry

### MailBoxDumpRequest

    public MailBoxDumpRequest()

  Default constructor

Method Detail

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String status)

### getFileUrls

    public java.lang.String[] getFileUrls()

### setFileUrls

    public void setFileUrls(java.lang.String[] fileUrls)

### setNumberOfFiles

    public void setNumberOfFiles(int numberOfFiles)

### getNumberOfFiles

    public int getNumberOfFiles()

### getPackageContent

    public java.lang.String getPackageContent()

### setPackageContent

    public void setPackageContent(java.lang.String packageContent)

### isIncludeDeleted

    public boolean isIncludeDeleted()

### setIncludeDeleted

    public void setIncludeDeleted(boolean includeDeleted)

### getSearchQuery

    public java.lang.String getSearchQuery()

### setSearchQuery

    public void setSearchQuery(java.lang.String searchQuery)

### getCompletedDate

    public java.util.Date getCompletedDate()

### setCompletedDate

    public void setCompletedDate(java.util.Date completedDate)

### getAdminEmailAddress

    public java.lang.String getAdminEmailAddress()

### setAdminEmailAddress

    public void setAdminEmailAddress(java.lang.String adminEmailAddress)

### getRequestId

    public java.lang.String getRequestId()

### setRequestId

    public void setRequestId(java.lang.String requestId)

### getEndDate

    public java.util.Date getEndDate()

### setEndDate

    public void setEndDate(java.util.Date endDate)

### getRequestDate

    public java.util.Date getRequestDate()

### setRequestDate

    public void setRequestDate(java.util.Date requestDate)

### getBeginDate

    public java.util.Date getBeginDate()

### setBeginDate

    public void setBeginDate(java.util.Date beginDate)

### getUserEmailAddress

    public java.lang.String getUserEmailAddress()

### setUserEmailAddress

    public void setUserEmailAddress(java.lang.String userEmailAddress)

### getExpiredDate

    public java.util.Date getExpiredDate()

### setExpiredDate

    public void setExpiredDate(java.util.Date expiredDate)

### toGenericEntry

    public GenericEntry toGenericEntry()

  converts a `MailBoxDumpRequest` to `GenericEntry`.

  Returns:
    GenericEntry